import type { ReadonlyDeep } from 'type-fest';
import type { Route, RouterState } from './reducer.js';
export interface State {
    router: RouterState;
}
export declare const getRoute: ({ router: { routes } }: ReadonlyDeep<State>, route?: string | undefined) => Route | undefined;
export declare const noRouteActive: ({ router: { routes } }: ReadonlyDeep<State>) => boolean;
export declare const isRouteActive: (state: ReadonlyDeep<State>, route?: string | undefined) => boolean;
export declare const getRouteParams: (state: ReadonlyDeep<State>, route?: string | undefined) => NonNullable<Route['params']>;
//# sourceMappingURL=selectors.d.ts.map