import { parse } from 'regexparam';
export const refreshRoute = (route, activeRoute) => {
    const { pattern, keys } = parse(route);
    const noQueryRoute = activeRoute.replace(/(\?|#).*/, '');
    const match = pattern.exec(noQueryRoute);
    const active = pattern.test(noQueryRoute);
    return {
        active,
        params: !active
            ? {}
            : keys.reduce((list, item, index) => ({
                ...list,
                [item]: (match && match[index + 1]) || '',
            }), {}),
    };
};
export const checkNavigation = (route) => {
    window.history.pushState({}, '', route);
};
//# sourceMappingURL=service.js.map