import type { ReadonlyDeep } from 'type-fest';
import type { Actions } from './actions.js';
export interface Route {
    active: boolean;
    params?: Record<string, string>;
}
export interface RouterState {
    activeRoute: string;
    routes: Record<string, Route>;
}
interface Action {
    type?: string;
    path?: string;
}
declare const reducer: (state?: ReadonlyDeep<RouterState>, { type, path }?: ReadonlyDeep<Action | Actions>) => RouterState;
export default reducer;
//# sourceMappingURL=reducer.d.ts.map